// BioAPI20_DemoDlg.h : header file
//

#if !defined(AFX_BIOAPI20_DEMODLG_H__8A606B4E_B066_4745_BC58_1853F0FD887E__INCLUDED_)
#define AFX_BIOAPI20_DEMODLG_H__8A606B4E_B066_4745_BC58_1853F0FD887E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "BioAPI.h" 

/////////////////////////////////////////////////////////////////////////////
// CBioAPI20_DemoDlg dialog

class CBioAPI20_DemoDlg : public CDialog
{
// Construction
public:
	CBioAPI20_DemoDlg(CWnd* pParent = NULL);	// standard constructor

   void AddEvent(BioAPI_RETURN ret, LPCTSTR szFormat, ...);
   void AddEvent(LPCTSTR szFormat, ...);
   
   void LoadBSP();
   void UnloadCurrentBSP();
   void AttachSession();
   void DetachCurrentSession();
   
   void ClearUserList();
   
   BioAPI_BSP_SCHEMA*   m_pBSPs;
   UINT           m_nBSPsInstalled;
   int            m_nCurIndex;
   BOOL           m_bIsBSPLoaded;
   BioAPI_HANDLE  m_hAttachedSession;
   BOOL           m_bIsAttach;
   UINT           m_nEventCnt;
   
   BOOL           m_bIsDirtyArray;
   BioAPI_BIR_ARRAY_POPULATION m_birArray;
   
// Dialog Data
	//{{AFX_DATA(CBioAPI20_DemoDlg)
	enum { IDD = IDD_BIOAPI20_DEMO_DIALOG };
	CListCtrl	m_listCtrlIdentifyUsers;
	CListCtrl	m_listCtrlUsers;
   CButton	m_radioBinary;
   CButton	m_radioHandle;
	CButton	m_btnAttach;
	CComboBox	m_comboBSPs;
	CListBox	m_listUnits;
	CListBox	m_listEvent;
   CString	m_szPayload;
   CString	m_szFormat;
   CString	m_szDefaultCaptureTimeout;
   CString	m_szDefaultEnrollTimeout;
   CString	m_szDefaultIdentifyTimeout;
   CString  m_szDefaultVerifyTimeout;
   CString	m_szDescription;
   CString	m_szNumFormat;
   CString	m_szFactorMask;
   CString	m_szMaxDBSize;
   CString	m_szMaxIdentify;
   CString	m_szMaxPayload;
   CString	m_szModuleID;
   CString	m_szOperations;
   CString	m_szOptions;
   CString	m_szPath;
   CString	m_szPayloadPolicy;
   CString	m_szProductVersion;
   CString	m_szSpecVersion;
   CString	m_szVendor;
	CString	m_szUserID;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CBioAPI20_DemoDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CBioAPI20_DemoDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnDestroy();
	afx_msg void OnSelchangeComboBsp();
	afx_msg void OnButtonAttach();
	afx_msg void OnButtonEnroll();
	afx_msg void OnButtonRemove();
	afx_msg void OnButtonVerify();
	afx_msg void OnButtonIdentify();
	afx_msg void OnClickListUsers(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnButtonModify();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_BIOAPI20_DEMODLG_H__8A606B4E_B066_4745_BC58_1853F0FD887E__INCLUDED_)
